POST v3/members/login
authenticate a user with email and the hash of password; SHA256 is used for the hash of password for now, we allow sso user who have set a password in the site login through the api.
Request Information
Parameters
| Name | Description | Additional information |
|---|---|---|
| inVO | No documentation available. |
Define this parameter in the request body. |
Request body formats
application/json, text/json
Sample:
{
"schoolId": "sample string 1",
"redirectUrlString": "sample string 2",
"nParameter": "sample string 3",
"forApp": true,
"email": "sample string 5",
"password": "sample string 6",
"curUserId": "sample string 7",
"isSSO": true,
"requestHost": "sample string 9",
"applicationPath": "sample string 10",
"secureApplicationPath": "sample string 11",
"absoluteApplicationPath": "sample string 12",
"isHttps": true,
"isMobileDevice": true,
"clientType": 0,
"clientVersion": "sample string 15",
"clientOS": "sample string 16",
"clientBuild": "sample string 17",
"clientWidth": 18,
"clientHeight": 19,
"timezone": 20
}
application/xml, text/xml
Sample:
<LoginInSchoolVO xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/imLeagues.Internal.API.VO.Input"> <ClientHeight>19</ClientHeight> <ClientType>Site</ClientType> <ClientWidth>18</ClientWidth> <absoluteApplicationPath>sample string 12</absoluteApplicationPath> <applicationPath>sample string 10</applicationPath> <cachedKey>sample string 1</cachedKey> <clientBuild>sample string 17</clientBuild> <clientOS>sample string 16</clientOS> <clientVersion>sample string 15</clientVersion> <curUserId>sample string 7</curUserId> <isHttps>true</isHttps> <isMobileDevice>true</isMobileDevice> <isSSO>true</isSSO> <requestHost>sample string 9</requestHost> <secureApplicationPath>sample string 11</secureApplicationPath> <timezone>20</timezone> <Email>sample string 5</Email> <Password>sample string 6</Password> <ForApp>true</ForApp> <NParameter>sample string 3</NParameter> <RedirectUrlString>sample string 2</RedirectUrlString> <SchoolId>sample string 1</SchoolId> </LoginInSchoolVO>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
the authenticated member object for the user
Response body formats
application/json, text/json
Sample:
Sample not available.